# encoding: utf-8
class VenueManagementSignup

  include Mongoid::Document
  include Mongoid::Timestamps

  field :status
  field :name # become Last Name for TICC
  field :tel, type: String # become First Name for TICC
  field :unit, localize: true
  field :phone, type: String
  field :fax, type: String
  field :email, type: String
  field :address, localize: true
  field :password
  field :note, localize: true
  
  belongs_to :venue_management_main

  has_many :venue_management_signup_values
  has_many :venue_management_signup_contributes
  
  accepts_nested_attributes_for :venue_management_signup_values, allow_destroy: true
  accepts_nested_attributes_for :venue_management_signup_contributes, allow_destroy: true


end
